using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;

namespace bitforum.Models.Account
{
    public class RefreshToken
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        [Comment("PK")]
        public int ID { get; set; }

        [Comment("Token")]
        [StringLength(128)]
        public string Token { get; set; } = null!;

        [Comment("회원 ID")]
        public int MemberID { get; set; }

        [Comment("만료 일시")]
        public DateTime Expiration { get; set; }

        [Comment("등록 일시")]
        public DateTime CreatedAt { get; set; } = DateTime.UtcNow;
    }
}
